
#ifndef _WINPICTDOCGETSET_
#define _WINPICTDOCGETSET_


#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __CONTROLS__
#include <Controls.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif

#ifndef _DRAGUTILS_
#include "dragUtils.h"
#endif

#ifndef _WINPICTDOC_
#include "winPictDoc.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
PicHandle		GetPictDocPict			( winHandle win, short which ) ;
void			SetPictDocPict			( winHandle win, short which, PicHandle thePict ) ;

Boolean			GetPictDocNeedsUpdate	( winHandle win, short which ) ;
void			SetPictDocNeedsUpdate	( winHandle win, short which, Boolean b ) ;

unsigned long	GetPictDocDrawTime		( winHandle win, short which ) ;
void			SetPictDocDrawTime		( winHandle win, short which, unsigned long ticks ) ;

unsigned long	GetPictDocDrawCount 	( winHandle win );
void			SetPictDocDrawCount		( winHandle win, unsigned long count );

Rect			GetPictDocPictRect		( winHandle win ) ;
void			SetPictDocPictRect		( winHandle win, Rect theRect ) ;

Rect			GetPictDocPaneRect		( winHandle win ) ;
void			SetPictDocPaneRect		( winHandle win, Rect theRect ) ;

PaletteHandle	GetPictDocPalette		( winHandle win ) ;
void			SetPictDocPalette		( winHandle win, PaletteHandle thePalette ) ;

ControlHandle	GetPictDocCntl			( winHandle win, short id ) ;
void			SetPictDocCntl			( winHandle win, short id, ControlHandle cntl ) ;
short			GetPictDocCntlValue		( winHandle win, short id ) ;
void			SetPictDocCntlValue		( winHandle win, short id, short val ) ;

CMProfileRef	GetPictDocProfile		( winHandle win, short which ) ;
void			SetPictDocProfile		( winHandle win, short which, CMProfileRef prof ) ;

ListHandle		GetPictDocProfList		( winHandle win ) ;
void			SetPictDocProfList		( winHandle win, ListHandle list ) ;

unsigned long	GetPictDocListCount		( winHandle win ) ;
void			SetPictDocListCount		( winHandle win, unsigned long count ) ;

DragZonesHdl	GetPictDocDragZones		( winHandle win ) ;
void			SetPictDocDragZones		( winHandle win, DragZonesHdl theDragZones ) ;


#endif