
#ifndef _WINPROFLISTGETSET_
#define _WINPROFLISTGETSET_


#ifndef __LISTS__
#include <Lists.h>
#endif
#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif

#ifndef _WINPROFLIST_
#include "winProfList.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
ListHandle			GetProfListList			( winHandle win ) ;
void				SetProfListList			( winHandle win, ListHandle list ) ;

unsigned long		GetProfListSeed			( winHandle win ) ;
void				SetProfListSeed			( winHandle win, unsigned long seed ) ;

unsigned long		GetProfListCount		( winHandle win ) ;
void				SetProfListCount		( winHandle win, unsigned long count ) ;

CMProfileIdentifier** GetProfListIdentHdl	( winHandle win ) ;
void				SetProfListIdentHdl		( winHandle win, CMProfileIdentifier** identHdl ) ;


#endif