
#ifndef _WINPROFILEGETSET_
#define _WINPROFILEGETSET_


#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif

#ifndef _WINPROFILE_
#include "winProfile.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kNormalMode		0
#define kTechieMode		1


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
CMProfileRef	GetProfileRef		( winHandle win ) ;
void			SetProfileRef		( winHandle win, CMProfileRef prof ) ;
unsigned long	GetProfileIndex		( winHandle win ) ;
void			SetProfileIndex		( winHandle win, unsigned long index ) ;
unsigned long	GetProfileMode		( winHandle win ) ;
void			SetProfileMode		( winHandle win, unsigned long mode ) ;
#if TryGettingAnEditableProfileName	
TEHandle		GetProfileNameTEH	( winHandle win ) ;
void			SetProfileNameTEH	( winHandle win, TEHandle nameTEH ) ;
#endif

#endif