
#ifndef _WINTABLES_
#define _WINTABLES_


#include <MacTypes.h>

#ifndef _WIN_
#include "win.h"
#endif


extern short 				gAllocProcMapCount ;
extern AllocProcMapRec 		gAllocProcMap[] ;
extern UpdateMenusProcPtr	gDefaulltUpdateMenusProc ;
extern MenuProcPtr			gDefaulltMenuProc ;

/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/

#define	kCreatorType	'DHAY'

/*------------------------------------------------------------------------------*\
	MENUBAR enums
\*------------------------------------------------------------------------------*/
enum {
	mMenuBar = 128
} ;

/*------------------------------------------------------------------------------*\
	MENU enums
\*------------------------------------------------------------------------------*/
enum {
	mApple = 128,
	mFile,
	mEdit,
	mProfiles,
	mProfileLists,
	
	mFirstMenu = mApple,
	mLastMenu = mProfiles,
	
	mFirstSubMenu = mProfileLists,
	mLastSubMenu = mProfileLists
} ;

/*------------------------------------------------------------------------------*\
	MENU ITEM enums
\*------------------------------------------------------------------------------*/
enum {						// mApple
	iAbout = 1
} ;
enum {						// mFile
	iNew  = 1,
	iOpen,
	iFileUnused1,
	iClose,
	iSave,
	iSaveAs,
	iRevert,
	iFileUnused2,
	iPageSetup,
	iPrint,
	iPrintOne,
	iFileUnused3,
	iQuit
} ;
enum {						// mEdit
	iUndo = 1,
	iEditUnused1,
	iCut,
	iCopy,
	iPaste,
	iClear
} ;
enum {						// mProfiles
	iDefaultProf = 1,
	iSetDefaultProf,
	iProfilesUnused1,
	iCSFolderPopup,
	iProfilesUnused2,
	iCreateProfID,
	iProfilesUnused3,
	iMakeSrceProf,
	iMakeDestProf,
	iMakePrevProf,
	iMakeEmbdProf,
	iMakeEmbdProfID
} ;
enum {						// mProfileLists
	iCSFolder = 1,
	iCSFolderMntr,
	iCSFolderPrtr,
	iCSFolderScnr,
	iCSFolderName,
	iCSFolderUqid
} ;


#endif
