
#ifndef _APPERRORS_
#define _APPERRORS_


#include <MacTypes.h>


/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/
enum {
	rNonfatalAlert = 1001,
	rFatalAlert
} ;

enum {
	eGenericError = 1,
	eFatalNeedsAEVTMgr,			// This application needs AppleEvents run
	eFatalNoGXClientMemory,		// out of memory on GXEnterGraphics
	eFatalNoGXClient,			// could not create a gx client
	eFatalNoWinHandle,
	eFatalNoProcPtr,
	eWarnCantRunApp,
	eWarnCantRunAppNoColorSync2,
	eWarnCantRunAppNoQDGX1,
	eWarnCantOpenFile,
	eWarnCantOpenFileNoColorSync2,
	eWarnCantOpenFileNoQDGX1
} ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
OSErr	WarnIfErr		( OSErr error ) ;
void	FailIfErr		( OSErr error ) ;


#endif