#include "NewWithFree.h"

#include <New.cp>


#if NEWMODE==NEWMODE_NORMAL
/************************************************************************/
/*	void FreeAllCplusMemory(void)										*/
/*	Purpose..: 	Dispose all memory										*/
/*	Input....:	---				*/
/*	Return...:	---														*/
/************************************************************************/
void FreeAllCplusMemory(void)
{
	FreeMemList	*temp;

	while (memlist.next)
	{
		temp = (memlist.next)->next;
		if (GetPtrSize((Ptr)(memlist.next)))  // it's a "real" Ptr
			DisposePtr((Ptr)(memlist.next));
		memlist.next = temp;
	}
	memlist.size = 0; 		// reinitialize memlist
}
#elif NEWMODE==NEWMODE_FAST
/************************************************************************/
/*	void FreeAllCplusMemory(void)										*/
/*	Purpose..: 	Dispose all memory										*/
/*	Input....:	---				*/
/*	Return...:	---														*/
/************************************************************************/
void FreeAllCplusMemory(void)
{
	MemPool	*temp;

	while (mempools)
	{
		temp = mempools->next;
		DisposePtr((Ptr)mempools);
		mempools = temp;
	}
	lastfree = NULL;		//	pointer to last free block
	lastend = NULL;			//	pointer to last end
	
}
#endif

