// An example of using ColorSync 2.1 procedure-based profiles
// to read and write to resource profiles
//
// Copyright 1996, Apple Computer,Inc
//


#ifndef __PROCEDUREPROFILE__
#define __PROCEDUREPROFILE__

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif


#define kProcResourceType 'prof'

extern OSErr CreateProcedureProfileAccess( CMProfileLocation* profileLocation, FSSpec *resourceSpec,
											Str255 resourceName, OSType resourceType, short resourceID);
extern void DisposeProcedureProfileAccess ( CMProfileLocation *profileLocation );


#ifdef __cplusplus
}
#endif

#endif