
#ifndef _WINPROFIDGETSET_
#define _WINPROFIDGETSET_


#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif

#ifndef _WINPROFID_
#include "winProfID.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kNormalMode		0
#define kTechieMode		1


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
CMProfileIdentifier** GetProfIDIDHdl( winHandle win ) ;
void			SetProfIDIDHdl		( winHandle win, CMProfileIdentifier** IDHdl ) ;
unsigned long	GetProfIDIndex		( winHandle win ) ;
void			SetProfIDIndex		( winHandle win, unsigned long index ) ;
unsigned long	GetProfIDMode		( winHandle win ) ;
void			SetProfIDMode		( winHandle win, unsigned long mode ) ;


#endif