
#ifndef _CURSORUTILS_
#define _CURSORUTILS_


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kMaxNumCursors		20		// Max number of spinning cursors we	
									// allocate space for.					
#define kMinCursorTicks		10		// Min number of ticks that must pass	
									// between spinning cursor changes.		
#define kArrowCursor		0		// Pseudo resource ID for arrow cursor	
									// which is actually a QD global.  We	
									// use this in TearDownCursors.			

/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/

/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void SetUpCursors		( short acurID ) ;
void BumpCursor			( void ) ;
void TearDownCursors	( short finalCursorID ) ;


#endif