
#ifndef _STRINGUTILS_
#define _STRINGUTILS_


#include <MacTypes.h>
#include <Files.h>
#include <Memory.h>
#include <ToolUtils.h>


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define rBytesFMAT		128
#define rKBytesFMAT		129
#define rMBtesFMAT		130
#define rDotThreeFMAT	131
#define rSecsFMAT		132
#define rMPixPerSecFMAT	133
#define rKPixPerSecFMAT	134


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void	StringToString		( StringPtr src, StringPtr dest ) ;
void	OSTypeToString		( OSType type, StringPtr dest ) ;
void	FSSpecToString		( FSSpec spec, StringPtr dest, Boolean appendName) ;
void	LongHexToString		( long num, StringPtr dest ) ;
void	VersionToString		( long vers, StringPtr dest) ;

void	pStrCat				( StringPtr dst, StringPtr src, unsigned char size ) ;
void	pStrIns				( StringPtr dst, StringPtr src, unsigned char size ) ;

short	MyReplaceText		( Handle dest, StringPtr rplc, Str15 key ) ;
void	MyTETextBox 		( Ptr text, long length, Rect *box, short justType) ;

OSErr	FormatExtd80		( extended80 *x, short formatID, StringPtr dest ) ;
OSErr	FormatLong			( long num,      short formatID, StringPtr dest ) ;
OSErr	FormatFixed			( Fixed num,     short formatID, StringPtr dest ) ;
OSErr	FormatSmallFract	( short num,     short formatID, StringPtr dest ) ;


#endif